### Constructor

# Ide ObjectBox new

#### Declaration

    IdeObjectBox*
    ide_object_box_new (
      GObject* object
    )

#### Description

Create a new `IdeObjectBox`.

Available since: | 3.32

#### Parameters

`object` | `GObject`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeObjectBox`
| A newly created `IdeObjectBox`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.